summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-04-03 15:18:51 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-04-03 15:18:51 +0200
commitfa696c90962aa3f8e3853816d6b46905d3efa08c (patch)
tree3a9fa81243fea131a5785f1bcb5ad2c9a785a4f9 /scripts
parentc79407bcee5a5a9a1a718efb54e851e939e6f8d1 (diff)
parentc45554b525fe43c6c70a4b2cc4dc84f7dc0cf25d (diff)
Merge branch 'master' of git+ssh://www.openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-tools.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 16b13d4e3..ee8d8a3ff 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -295,6 +295,11 @@ if ! which lzop >/dev/null 2>&1; then
host_build_lzop=1
fi
+host_build_qemu=0
+if ! which qemu-img >/dev/null 2>&1; then
+ echo "No qemu found, will build one when required."
+ host_build_qemu=1
+fi
echo "config ADK_HOST_BUILD_TOOLS" > $topdir/target/config/Config.in.prereq
printf "\t%s\n" "boolean" >> $topdir/target/config/Config.in.prereq
@@ -314,6 +319,7 @@ if [ $host_build_ccache -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_CCAC
if [ $host_build_genext2fs -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_GENEXT2FS if ADK_HOST_NEED_GENEXT2FS" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_lzma -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_LZMA if ADK_HOST_NEED_LZMA" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_lzop -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_LZOP if ADK_HOST_NEED_LZOP" >> $topdir/target/config/Config.in.prereq ;fi
+if [ $host_build_qemu -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_QEMU if ADK_HOST_NEED_QEMU" >> $topdir/target/config/Config.in.prereq ;fi
cd $topdir
rm -rf tmp